(require 'map)
(load-file "/home/hugo/projects/stomp/stomp.el")

;; (setq proc (make-process
;;             :name "stomp-client"
;;             :buffer "Barry"
;;             :command "nc localhost 61613"
;;             :filter (stomp-filter-function (lambda (frame) (frame "%s" frame)))))

(setq proc (make-network-process
            :name "stomp-client"
            :buffer "stomp-frames"
            :host "127.0.0.1"
            :service 61613
            :filter (stomp-filter-function (lambda (frame) (message "%s" frame)))))

(setq frame ())
(stomp-send-frame proc (map-put frame 'command "CONNECT"))
(stomp-send-frame proc '((command . "SUBSCRIBE") (headers ("destination" . "/queue/testing"))))


